OpenVDB: Diagnose< GridT > Class Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
Diagnose< GridT > Class Template Reference

Performs multithreaded diagnostics of a grid. More...

`#include <openvdb/tools/Diagnostics.h>`

## Public Types
using | MaskType = typename GridT::template ValueConverter< bool >::Type

## Public Member Functions
| Diagnose (const GridT &grid)
template<typename CheckT >
std::string | check (const CheckT &check, bool updateMask=false, bool checkVoxels=true, bool checkTiles=true, bool checkBackground=true)
MaskType::ConstPtr | mask () const
| Return a boolean mask of all the values (i.e. tiles and/or voxels) that have failed one or more checks.
MaskType::Ptr | mask ()
Index64 | valueCount () const
| Return the number of values (i.e. background, tiles or voxels) that have failed one or more checks.
Index64 | failureCount () const
| Return total number of failed checks.
const GridT & | grid () const
| Return a const reference to the grid.
void | clear ()
| Clear the mask and error counter.

## Detailed Description

template<typename GridT>
class openvdb::v11_0::tools::Diagnose< GridT >

Performs multithreaded diagnostics of a grid.

Note
  More documentation will be added soon!

## Member Typedef Documentation

## ◆ MaskType

template<typename GridT >

using MaskType = typename GridT::template ValueConverter<bool>::Type

## Constructor & Destructor Documentation

## ◆ Diagnose()

template<typename GridT >

Diagnose | ( | const GridT & | grid | ) |
| inline

## Member Function Documentation

## ◆ check()

template<typename GridT >
template<typename CheckT >

std::string check | ( | const CheckT & | check,
|  | bool | updateMask = `false`,
|  | bool | checkVoxels = `true`,
|  | bool | checkTiles = `true`,
|  | bool | checkBackground = `true`
| ) |  |
| inline

## ◆ clear()

template<typename GridT >

void clear | ( |  | ) |
| inline

Clear the mask and error counter.

## ◆ failureCount()

template<typename GridT >

Index64 failureCount | ( |  | ) | const
| inline

Return total number of failed checks.

Note
  If only one check was performed and the mask was updated failureCount equals valueCount.

## ◆ grid()

template<typename GridT >

const GridT & grid | ( |  | ) | const
| inline

Return a const reference to the grid.

## ◆ mask() [1/2]

template<typename GridT >

MaskType::Ptr mask | ( |  | ) |
| inline

## ◆ mask() [2/2]

template<typename GridT >

MaskType::ConstPtr mask | ( |  | ) | const
| inline

Return a boolean mask of all the values (i.e. tiles and/or voxels) that have failed one or more checks.

## ◆ valueCount()

template<typename GridT >

Index64 valueCount | ( |  | ) | const
| inline

Return the number of values (i.e. background, tiles or voxels) that have failed one or more checks.